
if "" == "%JSPTUT%"  set JSPTUT=D:\JSPTutorial_III
if "" == "%JAVAC%" if "" == "%JAVA_HOME%" set JAVAC=javac
if "" == "%JAVAC%"                        set JAVAC=%JAVA_HOME%\bin\javac
if "" == "%JAR%" if "" == "%JAVA_HOME%" set JAR=jar
if "" == "%JAR%"                        set JAR=%JAVA_HOME%\bin\jar

set BASE=%JSPTUT%\develop
set junit=%BASE%\lib\junit.jar
set jdbc=%BASE%\lib\idb.jar;%BASE%\lib\idbf.jar
set ix=%BASE%\classes
set libs=%BASE%\lib\servlet.jar
set mail=%BASE%\lib\mail.jar;%BASE%\lib\activation.jar 
set xml=%BASE%\lib\xerces.jar

cd %BASE%\sources\de\ix\jspTutorial\util
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java

cd ..\constants
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java

cd ..\exception
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java

cd ..\database
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java

cd ..\model
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java

cd ..\xml
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java

cd ..\mail
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java

cd ..\controller
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java

cd ..\taglib
%JAVAC% -d %BASE%\classes -classpath %jdbc%;%ix%;%libs%;%xml%;%mail% *.java


cd ..\..\..\..\..\classes
copy ..\sources\jspTutorial-app\WEB-INF\tlds\ixtaglib_1_0.tld META-INF\taglib.tld
%JAR% c0f jspTutorial.jar de

copy jspTutorial.jar ..\sources\jspTutorial-app\WEB-INF\lib
copy ..\lib\mail.jar ..\sources\jspTutorial-app\WEB-INF\lib
copy ..\lib\activation.jar ..\sources\jspTutorial-app\WEB-INF\lib
copy ..\lib\xerces.jar ..\sources\jspTutorial-app\WEB-INF\lib
copy ..\lib\idb.jar ..\sources\jspTutorial-app\WEB-INF\lib
copy ..\lib\idbf.jar ..\sources\jspTutorial-app\WEB-INF\lib
cd %BASE%
